#!/bin/bash

# 获取脚本所在目录的绝对路径
SCRIPT_DIR=$(cd "$(dirname "$0")" && pwd)

# 切换到脚本所在目录
cd "$SCRIPT_DIR" || exit

# 打印当前目录
echo "当前目录是：$SCRIPT_DIR"

# 将脚本所在目录添加到 LD_LIBRARY_PATH 环境变量
export LD_LIBRARY_PATH="$SCRIPT_DIR"

# 定义 replace_string 脚本的绝对路径
REPLACE_STRING_SCRIPT="$SCRIPT_DIR/replace_string"

# 执行其他操作
"$REPLACE_STRING_SCRIPT"
